# RedStone

### Supported Chains

Available on **Ethereum Mainnet, Arbitrum, Base, and zkSync.**

### Available Endpoints:

*Click on the endpoint to jump to the section with full details*

* [<mark style="color:blue;">**getprice**</mark>](#getprice) <mark style="color:blue;">`GET`</mark> - Get the Price(in USDT) of a token for the given protocol.
* [<mark style="color:blue;">**getsupportedtokens**</mark>](#getsupportedtokens) <mark style="color:blue;">`GET`</mark> - Get the list of supported tokens on Expand.network, for RedStone.

### Oracle IDs

Many endpoints have a parameter where you can provide a Oracle ID.&#x20;

Below is a list of Oracle IDs related to Redstone. Please see the [Oracle ID Page](/ids/oracle-ids.md) for a complete Oracle ID list and more information.

| Oracle Name | Chain    | Oracle ID |
| ----------- | -------- | --------- |
| Redstone    | Ethereum | 1300      |
| Redstone    | Arbitrum | 1301      |
| Redstone    | Base     | 1302      |
| Redstone    | zkSync   | 1303      |

## Endpoint Details

### /getprice

#### Get the Price(in USDT) of a token for the given protocol.

<mark style="color:blue;">`GET`</mark> `https://api.expand.network/oracle/getprice`

#### Query Parameters

| Name                                       | Type   | Description                                                     |
| ------------------------------------------ | ------ | --------------------------------------------------------------- |
| oracleId<mark style="color:red;">\*</mark> | String | Refer to the [Oracle IDs](/ids/oracle-ids.md) page for details. |
| oracleName                                 | String | Refer to the [Oracle IDs](/ids/oracle-ids.md) page for details. |
| asset<mark style="color:red;">\*</mark>    | String | Name of the token, whose price is to be fetched.                |

{% tabs %}
{% tab title="Sample Request" %}

```url
https://api.expand.network/oracle/getprice?oracleId=1300&asset=WEETH
```

{% endtab %}

{% tab title="Sample Response" %}

```json
{
    "status": 200,
    "msg": "success",
    "data": {
        "priceFeedAddress": "0xdDb6F90fFb4d3257dd666b69178e5B3c5Bf41136",
        "roundId": "3322",
        "answer": "2457.96067059",
        "startedAt": "1726230659",
        "updatedAt": "1726230659",
        "answeredInRound": "3322"
    }
}
```

{% endtab %}
{% endtabs %}

### /getsupportedtokens

#### Get the list of supported tokens on Expand.network, for RedStone.

<mark style="color:blue;">`GET`</mark> `https://api.expand.network/oracle/getsupportedtokens`

#### Query Parameters

| Name                                       | Type   | Description                                                     |
| ------------------------------------------ | ------ | --------------------------------------------------------------- |
| oracleId<mark style="color:red;">\*</mark> | String | Refer to the [Oracle IDs](/ids/oracle-ids.md) page for details. |
| oracleName                                 | String | Refer to the [Oracle IDs](/ids/oracle-ids.md) page for details. |

{% tabs %}
{% tab title="Sample Request" %}

```url
https://api.expand.network/oracle/getsupportedtokens?oracleId=1300
```

{% endtab %}

{% tab title="Sample Response" %}

```json
{
    "status": 200,
    "msg": "success",
    "data": {
        "WEETH": "0xdDb6F90fFb4d3257dd666b69178e5B3c5Bf41136",
        "ETHX": "0xFaBEb1474C2Ab34838081BFdDcE4132f640E7D2d",
        "XVS": "0xa2a8507DEb233ceE4F5594044C259DD0582339CC",
        "C3M": "0x6E27A25999B3C665E44D903B2139F5a4Be2B6C26",
        "EUSD": "0xb347d2e3524D0F9e2321D84A2E9b2e60CbC4A836",
        "USDE": "0xbC5FBcf58CeAEa19D523aBc76515b9AEFb5cfd58",
        "SUSDE": "0xb99D174ED06c83588Af997c8859F93E83dD4733f",
        "USD3": "0xB39339B82DdCF89d12d987d1D4Db33aFdd40B6AA",
        "DEUSD": "0x89F48f6671Ec1B1C4f6abE964EBdd21F4eb7076f"
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.expand.network/integrations/oracles/redstone.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
